#
# spec file for package libHBAAPI2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libHBAAPI2
VCS: https://src.suse.de/SLFO-pool/libHBAAPI2#cafb4d38ffccb282e4d435cbdcdae4662f2be032e1af5fd4c50ed48ea7dcbf6b
Version:        2.2.10
Release:        160000.1.3
Summary:        SNIA HBAAPI library
License:        SUSE-SNIA-1.1
Group:          System/Libraries
Url:            http://open-fcoe.org/libHBAAPI
Source0:        libHBAAPI-v%{version}.tar.xz
Source1:        SNIAv1.1.txt
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SNIA HBA API library

%package        devel
Summary:        SNIA HBAAPI library
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The SNIA HBA API library

%prep
%setup -n libHBAAPI-v%{version}
cp %{S:1} COPYING

%build
autoreconf --install
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_sysconfdir}/hba.conf
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug  3 2015 hare@suse.de
- Update to v2.2.10 (FATE#318847)
  * Merge patch with upstream:
    + Remove libHBAAPI-Add-ldl-during-link.patch
  * Add new HBA_PORTSPEED definitions
* Fri Dec  6 2013 hare@suse.de
- Update to v2.2.9
  * Automake fixes
  * Remove WIN32 defines
  * Build fixes
  * Move to open-fcoe.org
  * Prevent duplicate hba.con entries from loading
- Added patch libHBAAPI-Add-ldl-during-link.patch:
  Add '-ldl' to avoid build failures of dependent packages
- Removed patch libHBAAPI-makefile-fixup, obsolete
- Removed patch libHBAAPI-build-fixes, obsolete
- Removed patch hbaapi-automake.diff, obsolete
* Tue May 29 2012 jengelh@inai.de
- Resolve failure to build package due to automake-1.12 warnings
  treated as errors
* Mon Mar 26 2012 cfarrell@suse.com
- license update: SUSE-SNIA-1.1
  Use propriertary SUSE- prefix until upstream (spdx.org) accepts the
  license
* Tue Nov 15 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Jul  6 2010 hare@suse.de
- Build fixes for Factory.
* Mon Jan 25 2010 hare@suse.de
- Add SNIA license (bnc#573450)
* Mon Nov 16 2009 hare@suse.de
- Initial package (FATE#306854)
